Hello community,

here is the log from the commit of package kmod for openSUSE:Factory checked in 
at 2012-12-10 12:19:42
++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
Comparing /work/SRC/openSUSE:Factory/kmod (Old)
 and      /work/SRC/openSUSE:Factory/.kmod.new (New)
++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++

Package is "kmod", Maintainer is ""

Changes:
--------
--- /work/SRC/openSUSE:Factory/kmod/kmod.changes        2012-12-03 
09:46:29.000000000 +0100
+++ /work/SRC/openSUSE:Factory/.kmod.new/kmod.changes   2012-12-10 
12:19:45.000000000 +0100
@@ -1,0 +2,10 @@
+Thu Dec  6 11:53:05 UTC 2012 - jeng...@inai.de
+
+- Update to new upstream release 12
+* Fix removing vermagic from module when told to force load a module
+* Fix removing __versions section when told to force load a
+  module: we need to mangle the section header, not the section.
+* modinfo no longer fails while loading a module from file when
+  path contains ".ko" substring
+
+-------------------------------------------------------------------

Old:
----
  kmod-11.tar.sign
  kmod-11.tar.xz

New:
----
  kmod-12.tar.sign
  kmod-12.tar.xz

++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++

Other differences:
------------------
++++++ kmod.spec ++++++
--- /var/tmp/diff_new_pack.JG1oGb/_old  2012-12-10 12:19:46.000000000 +0100
+++ /var/tmp/diff_new_pack.JG1oGb/_new  2012-12-10 12:19:46.000000000 +0100
@@ -21,7 +21,7 @@
 Summary:        Utilities to load modules into the kernel
 License:        LGPL-2.1+ and GPL-2.0+
 Group:          System/Kernel
-Version:        11
+Version:        12
 Release:        0
 Url:            
http://www.jonmasters.org/blog/2011/12/20/libkmod-replaces-module-init-tools/
 #Announce:     https://lwn.net/Articles/502622/
@@ -31,11 +31,20 @@
 Source:         
ftp://ftp.kernel.org/pub/linux/utils/kernel/kmod/%name-%version.tar.xz
 Source2:        
ftp://ftp.kernel.org/pub/linux/utils/kernel/kmod/%name-%version.tar.sign
 BuildRoot:      %{_tmppath}/%{name}-%{version}-build
+%if 0%{?suse_version} >= 1220
 BuildRequires:  libxslt-tools
+%else
+BuildRequires:  libxslt
+%endif
 BuildRequires:  pkgconfig >= 0.21
 BuildRequires:  xz
+%if 0%{?sles_version}
+BuildRequires:  xz-devel >= 4.99
+BuildRequires:  zlib-devel
+%else
 BuildRequires:  pkgconfig(liblzma) >= 4.99
 BuildRequires:  pkgconfig(zlib)
+%endif
 Requires:       suse-module-tools
 
 %description
@@ -91,6 +100,9 @@
 # The extra --includedir gives us the possibility to detect dependent
 # packages which fail to properly use pkgconfig.
 %configure \
+%if 0%{?sles_version}
+       zlib_CFLAGS=" " zlib_LIBS="-lz" \
+%endif
        --with-xz \
        --with-zlib \
        --includedir="%_includedir/%name-%version" \
@@ -131,7 +143,7 @@
 ln -s "%_bindir/kmod" "$b/bin/";
 %if "%_libdir" != "/%_lib"
 ln -s "%_libdir/libkmod.so.2" "$b/%_lib/";
-ln -s "%_libdir/libkmod.so.2.2.1" "$b/%_lib/";
+ln -s "%_libdir/libkmod.so.2.2.2" "$b/%_lib/";
 %endif
 
 %check
@@ -141,8 +153,6 @@
 
 %postun -n %lname -p /sbin/ldconfig
 
-%clean
-
 %files
 %defattr(-,root,root)
 %_bindir/kmod

-- 
To unsubscribe, e-mail: opensuse-commit+unsubscr...@opensuse.org
For additional commands, e-mail: opensuse-commit+h...@opensuse.org

Reply via email to